# renovate-config

[![Renovate](https://git.smail.koeln/homelab/renovate-config/badges/workflows/renovate.yaml/badge.svg)](https://git.smail.koeln/homelab/renovate-config)

- [renovate-config](#renovate-config)
  - [requirements](#requirements)
    - [additions](#additions)
  - [acknowledgments](#acknowledgments)

To host the renovate config:

- `config.js` holds the self-hosted Renovate configuration so that Renovate knows what and how it should process.
- `renovate.json` in this repository ensures to receive Renovate updates.
- `default.json` holds the basic config for all repositories. It extends the presets by the renovate project defined in `renovate-schema.json`.
  -  Each repository can extend/alter this config by adding a `renovate.json` file to the root of their own repository.

## requirements
1. Create a new bot account e.g. renovate-bot.
2. Create a personal access token (*PAT*) for your renovate-bot account with the following scopes:
   1. activitypub: no access
   2. issue: read and write
   3. misc: read
   4. notifications: read
   5. organization: read
   6. package: read (if you use forgejo packages)
   7. repository: read and write
   8. user: read
3. Create a new organisation e.g. homelab.
4. Add your renovate-bot account as owner to the organization.
5. Add renovate-bot *PAT* as a secret (*RENOVATE_TOKEN*) in the organization.
6. renovate-bot can now manage your repositories in the organization.

### additions

1. Generate your GitHub access token (read only) under Settings / Developer Settings
2. Docker.io login credentials (username and access token)

## acknowledgments

- [renovatebot docs](https://docs.renovatebot.com/modules/platform/gitea/)
- [gitea renovate config](https://gitea.com/gitea/renovate-config)
- [naoalb renovate config](https://code.naoalb.org/naoalb-Infrastructure/renovate-config)
- [augmentedmind.de](https://www.augmentedmind.de/2023/07/30/renovate-bot-introduction/)
